%global tag beta.2
%global longtag v0.5-beta.2

Name:           spasm-ng
Version:        0.5
Release:        0.1.beta.2%{?dist}
Summary:        A z80 assembler with extra features for TI calculators

License:        GPLv2
URL:            https://github.com/alberthdev/spasm-ng
Source0:        https://github.com/alberthdev/spasm-ng/archive/%{longtag}/%{name}-%{version}-%{tag}.tar.gz

BuildRequires:  zlib-devel, gmp-devel, openssl-devel
#Requires:

%description
SPASM-ng is a z80 assembler with extra features to support development
for TI calculators. SPASM-ng can assemble and create assembly programs
and flash applications in formats that can be shipped directly to
TI-z80 (TI-83+, TI-83+SE, TI-84+, TI-83+SE, TI-84+CSE, TI-84+CE)
calculators.

SPASM-ng was originally from the SPASM project, and was forked to fix
a few bugs. It was originally written by Spencer Putt and Don Straney,
with additional development by Chris Shappell and James Montelongo.

This release incorporates eZ80 support in preparation for the launch
of the TI-84+CE. It also greatly increases the limit on the number
of labels that can be defined.

%prep
%setup -qn %{name}-%{version}-%{tag}

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

# I need to send spasm-ng patches for make.

mkdir -p %{buildroot}%{_bindir}
cp -p spasm %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_includedir}/%{name}
cp -pr inc/* %{buildroot}%{_includedir}/%{name}

%files
%{_bindir}/spasm
%{_includedir}/spasm-ng/

%doc README.md
%license LICENSE

%changelog
* Thu Oct  1 2015 Ben Rosser <rosser.bjr@gmail.com> 0.5-0.1.beta.2
- First packaging effort for Fedora.
